package com.zd.exam.domain;

import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 试题题库(ElQuRepo)实体类
 *
 * @author liubo
 * @since 2021-08-30 17:10:49
 */
@ApiModel(value = "试题题库", description = "试题题库")
public class ElQuRepo extends BaseEntity {
    private static final long serialVersionUID = -77222640227460334L;

    private Long id;
    /**
     * 试题
     */
    @ApiModelProperty(value = "问题ID")
    private Long quId;
    /**
     * 归属题库
     */
    @ApiModelProperty(value = "归属题库")
    private Long repoId;
    /**
     * 题目类型
     */
    @ApiModelProperty(value = "题目类型")
    private Integer quType;
    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Integer sort;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getQuId() {
        return quId;
    }

    public void setQuId(Long quId) {
        this.quId = quId;
    }

    public Long getRepoId() {
        return repoId;
    }

    public void setRepoId(Long repoId) {
        this.repoId = repoId;
    }

    public Integer getQuType() {
        return quType;
    }

    public void setQuType(Integer quType) {
        this.quType = quType;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

}
